---
title: CSSPropertyRule
slug: Web/API/CSSPropertyRule
tags:
  - API
  - CSS
  - CSS Properties and Values API
  - CSSPropertyRule
  - Experimental
  - Houdini
  - Interface
  - Reference
---
<div>{{APIRef("CSS Properties and Values API")}}{{SeeCompatTable}}{{draft}}</div>

<p>The <strong><code>CSSPropertyRule</code></strong> interface of the {{domxref('CSS_Properties_and_Values_API','','',' ')}} represents a single CSS {{cssxref("@property")}} rule.</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its ancestor {{domxref("CSSRule")}}.</em></p>

<dl>
	<dt>{{domxref("CSSPropertyRule.inherits")}} {{readonlyinline}}</dt>
    <dd>Returns the inherit flag of the custom property.</dd>
    <dt>{{domxref("CSSPropertyRule.initialvalue")}} {{readonlyinline}}</dt>
    <dd>Returns the initial value of the custom property.</dd>
    <dt>{{domxref("CSSPropertyRule.name")}} {{readonlyinline}}</dt>
    <dd>Returns the name of the custom property.</dd>
    <dt>{{domxref("CSSPropertyRule.syntax")}} {{readonlyinline}}</dt>
	<dd>Returns the literal syntax of the custom property.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>No specific methods; inherits methods from its ancestor {{domxref("CSSRule")}}.</p>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
    <tbody>
     <tr>
      <th scope="col">Specification</th>
      <th scope="col">Status</th>
      <th scope="col">Comment</th>
     </tr>
     <tr>
      <td>{{SpecName('CSS Properties and Values API','#dom-csspropertyrule','CSSPropertyRule')}}</td>
      <td>{{Spec2('CSS Properties and Values API')}}</td>
      <td>Initial definition.</td>
     </tr>
    </tbody>
   </table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("api.CSSPropertyRule")}}</p>
